#!/usr/bin/env python2

import glob
import numpy as np
import obspy as obs

def slurp( fname ):
    fp = open(fname,'r')
    fp.readline()
    fp.readline()
    raw_data = fp.readlines()
    return np.array(map(int, raw_data), dtype="int32")

bdfs = glob.glob("*.bdf")

for bdf in bdfs:
    out = bdf.replace(".bdf",".mseed")
    print("Converting {0} to {1}".format(bdf, out))
    arr = slurp(bdf)
    tr = obs.Trace(data=arr)
    st = obs.Stream(traces=[tr])
    st.write(out, format="MSEED")

print("Done.")

